Subject: Re: North American Mustang MK IV - Royal Canadian Airforce - 442 Squadron - May 1945
From: "Steve Bamford ARC" <[email-masked]>
To: "John / Ann Smalbrugge" <[email-masked]>
Date: Sat, 17 Jan 2004 15:01:25 -0800

Hi John,
Thanks for sending in your P-51 article.  I've got a bit of a backlog due to "Silly Week"....and I'm catching up on my e-mails which I fell behind on due to Christmas and Silly Week etc.  I'll e-mail you when your article goes on ARC.

Steve Bamford
Aircraft Resource Center
http://www.aircraftresourcecenter.com
 
Live like there is no tomorrow;
Love like you've never been hurt.
Work like you don't need the money.
Dance like nobody's watching.
Sing like nobody's listening.
Live like it's Heaven on Earth.

  ----- Original Message ----- 
  From: John / Ann Smalbrugge 
  To: Bamford, Steve 
  Sent: Tuesday, December 09, 2003 3:58 PM
  Subject: North American Mustang MK IV - Royal Canadian Airforce - 442 Squadron - May 1945

  I know there are a number of articles on this subject on ARC so I will not bore the viewers with the building of this kit other than it is a 1/24 scale Airfix kit, that went together fairly well straight out of the box with a minimum of filling and sanding using Humbrel paints and the supplied kit decals.

  The model depicts a North American Mustang  MK IV of the Royal Canadian Air Force, 442 Squadron, May  1945.

  A little Squadron History;

  442 Squadron was one of six Canadian Squadrons transferred overseas to bolster the upcoming allied invasion of Europe. The Unit personnel set up base at Digby, Lincolnshire, England, on 8 February 1944.

  Originally formed in Canada as No. 14 (fighter) Squadron, this Home Defense Unit relocated to Europe without aircraft. The Squadron flew Spitfires on defensive and Offensive Operations up to D -Day. Thereafter providing close support to Ground Forces.

  In March 1945 the Unit re-equipped with Mustangs, enabling the Squadron to provide long range bomber escort.

  The Squadron was disbanded at Molesworth, Huntingdonshire on August 7, 1945.

   

  Display Base:

  The base is made with a piece of basswood that was stained with light walnut gel stain. The grass and scrubs were done with model railway scenery texture.   

  Enjoy, Merry Christmas to all, and happy modeling in 2004.

  John Smalbrugge

  Abbotsford. B.C.